Bug 1342175 - ignores SIGINT while downloading repodata
Summary: ignores SIGINT while downloading repodata
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: rpmdeplint
Classification: Community
Component: general
Version: unreleased
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: 1.0
Assignee: Jon Orris
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 15:37 UTC by Dan Callaghan
Modified: 2016-07-26 23:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 23:51:58 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2016-06-02 15:37:50 UTC
Steps to Reproduce:
1. rpmdeplint check-sat --repo=rhel6,http://cdn.rcm-internal.redhat.com/content/dist/rhel/server/6/6Server/x86_64/os/ *.rpm
2. Try to interrupt it by mashing Ctrl-C

Actual results:
^C^C^C^C
(program can't be interrupted)

Expected results:
SIGINT terminates the program

Additional info:
I'm guessing that librepo or something inside of it is swallowing KeyboardInterrupt and/or installing its own SIGINT handler. Not sure if there is some good reason for that but it seems unlikely.

Comment 1 Jon Orris 2016-06-02 18:19:40 UTC
We just need to set:
  h.setopt(librepo.LRO_INTERRUPTIBLE, True)

Comment 2 Jon Orris 2016-06-02 18:22:16 UTC
Submitted patch: http://gerrit.beaker-project.org/4958

Comment 3 Roman Joost 2016-07-19 23:51:58 UTC
This is released with rpmdeplint 1.0 available on Fedora Copr:

https://copr.fedorainfracloud.org/coprs/dcallagh/rpmdeplint/

for RHEL 7 (EPEL), F23, F24 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.